Skip to main content
GET
/
api
/
v1
/
workspaces
/
{workspace_id}
/
billing
/
history
Billing History
curl --request GET \
  --url https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/workspaces/{workspace_id}/billing/history \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "in_1234567890abcdefghij",
      "created_at": 1234567890,
      "amount_due": 1000,
      "amount_paid": 1000,
      "total": 1000,
      "currency": "aud",
      "status": "paid",
      "invoice_url": "https://invoice.stripe.com/i/acct_xxxxx/xxxxx?s=ap",
      "invoice_pdf": "https://pay.stripe.com/invoice/acct_xxxxx/xxxxx/pdf?s=ap",
      "number": "INV-0001",
      "period_start": 1234567890,
      "period_end": 1234567890
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.colloqui.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication

Path Parameters

workspace_id
string
required

The ID of the workspace.

Query Parameters

limit
integer

The maximum number of invoices to return. Defaults to 10.

Example:

10

starting_after
string

The ID of the last invoice from the previous page. Used for pagination.

Example:

"in_1234567890abcdefghij"

ending_before
string
Example:

"example"

Response

200 - application/json
data
object[]
Example:
[
  {
    "id": "in_1234567890abcdefghij",
    "created_at": 1234567890,
    "amount_due": 1000,
    "amount_paid": 1000,
    "total": 1000,
    "currency": "aud",
    "status": "paid",
    "invoice_url": "https://invoice.stripe.com/i/acct_xxxxx/xxxxx?s=ap",
    "invoice_pdf": "https://pay.stripe.com/invoice/acct_xxxxx/xxxxx/pdf?s=ap",
    "number": "INV-0001",
    "period_start": 1234567890,
    "period_end": 1234567890
  }
]